REFORMAT(1)

NAME
reformat - tool to simple format plain ascii texts

SYNOPSIS
reformat [-h] [-j] [-l margin] [-p] [-w width]

DESCRIPTION
reformat is a simple tool to reformat plain texts. reformat reads from stdin and writes to stdout.

Available options are:

-h  prints usage information

-j  switch justify mode: Each line of a paragraph will have the same width (see -w option). To reach this, spaces (' ') will be added between words. Default: disabled

-l left-margin
    Sets the left margin to left-margin. The margin is produced by left-margin spaces (' '), no tabs will be used. Default: 0

-p  Accept lines beginning with a whitespace as usual paragraphs, too.

-w width
    Sets the paragraph width to width. No reformatted line will be longer than width (plus defined margins) then. Default: 72

LIMITATIONS

•   reformat isn't an intelligent program. It just reads a whole paragraph into a buffer and then reformats it. The end of a paragraph is indicated by an empty line (may also contain spaces or tabs) or at a line beginning with whitespaces (if you don't use -p option).

    Lines beginning with whitespaces are lines to keep untouched. Nothing happens with them, unless you use -p option (as just mentioned).

•   reformat doesn't look for hyphenation and hyphens at all. It won't make new lines when reached a hyphen. reformat works word-by-word.

•   reformat doesn't detect 'small paragraphs' (paragraphs without an empty line).

•   Check for errors! If reformat detects a word with a length greater than the specified width, it will abort.

•   reformat has problems with control characters. Some text documents contain the ^L character (0x0c), for example.

TODO
Planned features are:

•   Fix some problems, see "LIMITATIONS".

•   Add an option to declare a string that indicates "don't reformat" in the text. Would be nice on reformatting emails, and don't touch the quoteas ('> '-lines).

•   Add an option (e.g. -i) to keep indenting.

EXAMPLES

reformat < foo > bar
    Reads text from foo, reformats and writes to bar.

reformat -l 15 -j -w 50 < foo
    Nice justified, centered text from file foo on an 80x25 terminal.

SEE ALSO
fold(1)

AUTHOR AND COPYRIGHT
(C) Stephan Beyer <s-beyer@gmx.net>, 2003-2004, GPL